<template lang="pug">
  #app
    l-aside
    transition(name="main" mode="out-in")
      router-view
</template>

<script>
  import LAside from '@/components/LAside'

  export default {
    components: {LAside}
  }
</script>
<style lang="sass">
  .main-enter-active, .main-leave-active
    transition: opacity .5s

  .main-enter, .main-leave-to
    opacity: 0

</style>